If you get permission errors when running `docker version`, follow these instructions (on Linux) to give yourself permissions
1. Run `stat /var/run/docker.sock` to see the permissions for the docker socket (The file path is printed out when you get a permission error, yours may be different). You should see a line like
```
Access: (0660/srw-rw----)  Uid: (    0/    root)   Gid: ( 1003/  root)
```
The above tells you that the docker socket belongs to the group with GID 1003 (root) and that the group has neither read nor write permissions.
1. Change the socket's group to be yours with `sudo chgrp "$USER" /var/run/docker.sock`. Confirm this change by running `stat` again.
1. Give the group read and write privileges with `sudo chmod g+rw /var/run/docker.sock`
1. Confirm that you can run `docker version` without permission errors.



- [Alternative approach for multiuser systems which requires logging out and back in again](https://stackoverflow.com/questions/48957195/how-to-fix-docker-got-permission-denied-issue)